# class ActiveRecord::Migration::CheckPending

This class is used to verify that all migrations have been run before loading a web page if `config.active_record.migration_error` is set to :page_load

### Public Class Methods

new(app) click to toggle source

    # File lib/active_record/migration.rb, line 545
    def initialize(app)
      @app = app
      @last_check = 0
    end

### Public Instance Methods

call(env) click to toggle source

    # File lib/active_record/migration.rb, line 550
    def call(env)
      mtime = ActiveRecord::Migrator.last_migration.mtime.to_i
      if @last_check < mtime
        ActiveRecord::Migration.check_pending!(connection)
        @last_check = mtime
      end
      @app.call(env)
    end

### Private Instance Methods

connection() click to toggle source

    # File lib/active_record/migration.rb, line 561
    def connection
      ActiveRecord::Base.connection
    end